org.apache.cassandra.schema

## Enum CompactionParams.TombstoneOption

- java.lang.Object
- - java.lang.Enum<CompactionParams.TombstoneOption>
  - - org.apache.cassandra.schema.CompactionParams.TombstoneOption

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<CompactionParams.TombstoneOption>

Enclosing class:
  CompactionParams

    public static enum CompactionParams.TombstoneOption
    extends java.lang.Enum<CompactionParams.TombstoneOption>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CELL`
`NONE`
`ROW`

### Method Summary

All Methods Static Methods Concrete Methods
`static CompactionParams.TombstoneOption` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static CompactionParams.TombstoneOption[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NONE

    public static final CompactionParams.TombstoneOption NONE

#### ROW

    public static final CompactionParams.TombstoneOption ROW

#### CELL

    public static final CompactionParams.TombstoneOption CELL

### Method Detail

#### values

    public static CompactionParams.TombstoneOption[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (CompactionParams.TombstoneOption c : CompactionParams.TombstoneOption.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static CompactionParams.TombstoneOption valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null